%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define kde_version 4.6.0
%define kdevplatform_version 4:1.%(echo %{version} | cut -d. -f2,3)

Name: 		kdevelop4
Summary: 	Integrated Development Environment for C++/C
Version:        4.4.1
Release:        %mkrel 2
Epoch:          4
URL:            http://www.kdevelop.org/
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/%{version}/src/kdevelop-%{version}.tar.bz2
Group: 		Development/Tools
License:        GPL

BuildRequires:  kdelibs4-devel >= 2:%{kde_version}
BuildRequires:  kdevplatform4-devel >= %{kdevplatform_version}
BuildRequires:	kdebase4-workspace-devel >= 2:%{kde_version}
BuildRequires:	kdesdk4-devel >= 1:%{kde_version}

%if %compile_apidox
BuildRequires:  doxygen
%endif
Requires:      cmake
Requires:      git
Requires:      gdb
Requires:      kdevplatform4 >= %{kdevplatform_version}
Suggests:      plasma-applet-kdevelopsessions

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files -f %name.lang
%{_kde_bindir}/*
%{_kde_services}/kcm_kdev*.desktop
%{_kde_services}/kdev*.desktop
%{_kde_appsdir}/kdevcmakebuilder
%{_kde_appsdir}/kdevgdb
%{_kde_appsdir}/kdevcmakemanager
%{_kde_appsdir}/kdevappwizard
%{_kde_appsdir}/kdevcustommakemanager
%{_kde_appsdir}/kdevcppsupport
%{_kde_appsdir}/kdevelop
%{_kde_appsdir}/kdevokteta
%{_kde_applicationsdir}/*.desktop
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/config/kdeveloprc
%{_kde_datadir}/config/kdevelop-qthelp.knsrc
%{_kde_datadir}/mime/packages/kdevelop.xml
%{_kde_libdir}/kde4/kcm_kdev_makebuilder.so
%{_kde_libdir}/kde4/kcm_kdevcmake_settings.so
%{_kde_libdir}/kde4/kdevastyle.so
%{_kde_libdir}/kde4/kdevcmakebuilder.so
%{_kde_libdir}/kde4/kdevcmakedocumentation.so
%{_kde_libdir}/kde4/kdevcmakemanager.so
%{_kde_libdir}/kde4/kdevcpplanguagesupport.so
%{_kde_libdir}/kde4/kdevcustommakemanager.so
%{_kde_libdir}/kde4/kdevgdb.so
%{_kde_libdir}/kde4/kdevkdeprovider.so
%{_kde_libdir}/kde4/kdevmakebuilder.so
%{_kde_libdir}/kde4/kdevmanpage.so
%{_kde_libdir}/kde4/kdevokteta.so
%{_kde_libdir}/kde4/kdevqthelp.so
%{_kde_libdir}/kde4/kdevqthelp_config.so
%{_kde_libdir}/kde4/kdevcustomscript.so
%{_kde_libdir}/kde4/krunner_kdevelopsessions.so
%{_kde_libdir}/libkdev4cmakecommon.so
%{_kde_libdir}/libkdev4cpprpp.so
%{_kde_libdir}/libkdev4cppduchain.so
%{_kde_libdir}/libkdev4cppparser.so

#------------------------------------------------
%package -n plasma-dataengine-kdevelopsessions
Summary: Show KDevelop sessions
Group: Graphical desktop/KDE
Requires: kdebase4-workspace
Requires: %{name} >= %{epoch}:%{version}

%description -n plasma-dataengine-kdevelopsessions
Show KDevelop sessions.

%files -n plasma-dataengine-kdevelopsessions
%_kde_libdir/kde4/plasma_engine_kdevelopsessions.so
%_kde_services/plasma-dataengine-kdevelopsessions.desktop
%_kde_appsdir/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations

#------------------------------------------------
%package -n plasma-applet-kdevelopsessions
Summary: Show KDevelop sessions
Group: Graphical desktop/KDE
Requires: kdebase4-workspace
Requires: plasma-dataengine-kdevelopsessions >= %{epoch}:%{version}
Conflicts: plasma-dataengine-kdevelopsessions < 4:4.3.80-2 
Conflicts: kdevelop4 < 4:4.3.80-2
BuildArch: noarch

%description -n plasma-applet-kdevelopsessions
Show KDevelop sessions.

%files -n plasma-applet-kdevelopsessions
%_kde_services/plasma-applet-kdevelopsessions.desktop
%_kde_appsdir/plasma/plasmoids/kdevelopsessions

#------------------------------------------------
%package devel
Summary: Development files for kdevelop
Group: Development/KDE and Qt

%description devel
Development files for kdevelop.

%files devel
%defattr(-,root,root)
%{_kde_appsdir}/cmake/modules/FindKDevelop.cmake
%{_kde_includedir}/kdevelop

#------------------------------------------------

%prep
%setup -q -n kdevelop-%{version}

%build
%cmake_kde4
%make

%if %compile_apidox
make apidox
%endif

%install
%makeinstall_std -C build

%find_lang %name --all-name --with-html 


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4:4.4.1-2.mga3
+ Revision: 356054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4:4.4.1-1.mga3
+ Revision: 313226
- new version 4.4.1
- update rpm group

* Tue Oct 16 2012 fwang <fwang> 4:4.4.0-1.mga3
+ Revision: 307076
- new version 4.4.0

* Tue Sep 11 2012 fwang <fwang> 4:4.3.90-1.mga3
+ Revision: 292128
- new version 4.3.90

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-2.mga3
+ Revision: 278460
- update file list
- update fil elist

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-1.mga3
+ Revision: 278398
- update file list
- new version 4.3.80

* Sun Jul 08 2012 fwang <fwang> 4:4.3.1-2.mga3
+ Revision: 268811
- fix build with latest okteta

* Sun Apr 15 2012 fwang <fwang> 4:4.3.1-1.mga2
+ Revision: 230833
- new version 4.3.1

* Mon Mar 12 2012 fwang <fwang> 4:4.3.0-1.mga2
+ Revision: 222972
- new version 4.3.0 final

* Sat Feb 25 2012 fwang <fwang> 4:4.2.90-1.mga2
+ Revision: 214284
- new version 4.2.90

* Tue Feb 14 2012 fwang <fwang> 4:4.2.82-1.mga2
+ Revision: 208696
- new version 4.2.82

* Mon Jan 23 2012 fwang <fwang> 4:4.2.81-1.mga2
+ Revision: 200318
- update file list
- update file list
- drop merged patch
- new version 4.2.81

* Thu Dec 22 2011 fwang <fwang> 4:4.2.3-2.mga2
+ Revision: 185802
- update patch
- real patch
- fix typo
- add upstream patch to find okteta
- rebuild for new okteta

* Sat Jun 25 2011 mikala <mikala> 4:4.2.3-1.mga2
+ Revision: 113647
- Update tarball to 4.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Tue Apr 12 2011 mikala <mikala> 4:4.2.2-1.mga1
+ Revision: 83949
- Remove most of the requires (suggested by Kicer86)
- Remove old obsoletes

* Wed Apr 06 2011 mikala <mikala> 4:4.2.2-0.mga1
+ Revision: 81402
- Update tarball to 4.2.2

* Mon Mar 07 2011 mikala <mikala> 4:4.2.0-2.mga1
+ Revision: 66147
- Remove BuildRoot
- Drop old conflict
- imported package kdevelop4

